Bug 124345 - Unable to profile NetBeans source module on Windows
Unable to profile NetBeans source module on Windows
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
PC Windows Vista
: P2 (vote)
: 6.x
Assigned To: issues@profiler
issues@profiler
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 22:14 UTC by George Vasick
Modified: 2008-10-20 10:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (92.45 KB, text/plain)
2007-12-20 22:16 UTC, George Vasick
Details
Profiler output (7.43 KB, text/plain)
2007-12-20 22:18 UTC, George Vasick
Details
IDE log (120.80 KB, text/plain)
2008-10-16 14:49 UTC, Daria Titova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George Vasick 2007-12-20 22:14:41 UTC
Steps to reproduce:

1) Checkout and build the UML cluster from the trunk.
2) Launch NB 6.0, add jkd1.5 via the Java platform manager, calibrate the profiler.
3) Open the uml core project.  Do not open any required projects.
4) Right-click on uml core -> Profile

IDE log and profiler output attached.
Comment 1 George Vasick 2007-12-20 22:16:55 UTC
Created attachment 54432 [details]
IDE log
Comment 2 George Vasick 2007-12-20 22:18:14 UTC
Created attachment 54433 [details]
Profiler output
Comment 3 George Vasick 2007-12-20 22:19:47 UTC
Workaround: install NetBeans in a location without spaces in the pathname.
Comment 4 J Bachorik 2008-03-29 12:57:19 UTC
changing milestone
Comment 5 Jiri Sedlacek 2008-09-02 11:40:38 UTC
When NetBeans is installed in a location with space in path, profiling NetBeans modules using Profile Project action
doesn't work ("Could not find agent library in absolute path..."). This seems to have been broken for a long time,
reproduced also with NB 6.1.
Comment 6 Jiri Sedlacek 2008-09-02 11:52:28 UTC
Fixed for 6.5.


changeset:   99311:548342538c6c
date:        Tue Sep 02 12:50:45 2008 +0200
summary:     Bugfix #124345 Fixed profiling nbmodules on Windows, SPACE_IN_PATH
Comment 7 Quality Engineering 2008-09-03 17:21:13 UTC
Integrated into 'main-golden', will be available in build *200809031401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/548342538c6c
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #124345 Fixed profiling nbmodules on Windows, SPACE_IN_PATH
Comment 8 Daria Titova 2008-10-16 14:47:52 UTC
Still reproducible for NetBeans 6.5 rc1.

Output:
"Error occurred during initialization of VM
Could not find agent library in absolute path: E:/Program
Result: 1"

Product Version: NetBeans IDE 6.5 RC1 (Build 200810151402)
Java: 1.6.0_10-rc; Java HotSpot(TM) Client VM 11.0-b13
System: Windows XP version 5.1 running on x86; Cp1251; ru_RU (nb)
Comment 9 Daria Titova 2008-10-16 14:49:21 UTC
Created attachment 71984 [details]
IDE log
Comment 10 Jiri Sedlacek 2008-10-20 10:14:57 UTC
The issue has been reopened by mistake, the described problem is fixed. Profiling source modules of the IDE works fine
when using IDE installed in path containing space. Updating the summary to better describe what's this issue about.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo